package speiger.src.coreengine.rendering.guiOld.components.tree;

import speiger.src.coreengine.rendering.guiOld.components.list.IListEntry;

public interface ITreeEntry extends IListEntry, Iterable<ITreeEntry>
{
	public boolean isInit();
	
	public boolean isLeaf();
	
	public void addChild(ITreeEntry child);
	
	public void removeChild(ITreeEntry child);
	
	public int getChildCount();
	
	public ITreeEntry getChild(int index);
	
	public int indexOf(ITreeEntry child);
	
	public ITreeEntry getParent();
	
	public void setParent(ITreeEntry parent);
	
	public int getDebth();
	
	public void calculateDebth();
}
